Skip to main content
GET
/
v1
/
sites
/
{site-id}
/
additional_geofences
/
{id}
Retrieve an Additional Geofence by ID
curl --request GET \
  --url https://api.tread-horizon.com/v1/sites/{site-id}/additional_geofences/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "geofence": {
      "name": "<string>",
      "type": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "geojson": {
        "type": "<string>",
        "coordinates": [
          [
            [
              "<unknown>"
            ]
          ]
        ]
      },
      "circle_center": {
        "lat": 123,
        "lon": 123
      },
      "circle_radius": 123,
      "tag": "pickup"
    },
    "moving_geofence": false,
    "tag": "scaling",
    "geofence_type": "moving"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.tread.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Path Parameters

site-id
string
required

Site ID

id
string
required

Additional Geofence ID

Response

OK

data
NextBillionGeofence-Read · object
required